#-----------------------------------------------------------------------------
#
# Thomas Thomassen
# thomas[at]thomthom[dot]net
#
#-----------------------------------------------------------------------------

# Collection of Model methods.
#
# @since 2.0.0
module TT::Model
  
  # Version safe +model.start_operation+ wrapper.
	#
	# @param [String] name
	# @param [Sketchup::Model] model - defaults to active model.
  #
	# @return [Boolean]
	# @since 2.0.0
  def self.start_operation(name, model = nil)
    model = Sketchup.active_model if model.nil?
    if Sketchup.version.split('.')[0].to_i >= 7
      model.start_operation(name, true)
    else
      model.start_operation(name)
    end
  end
  
end # module TT::Model